2019-05-11 19:13:22Ubuntu16.04, apt, aws, repository, ubuntu, xenial, レポジトリ

lightsailなイメージでapt updateしようとしたところ、レポジトリエラーになる現象が。

$ sudo apt update
Ign:1 http://ap-northeast-1.ec2.archive.ubuntu.com/ubuntu xenial InRelease
Ign:2 http://ap-northeast-1.ec2.archive.ubuntu.com/ubuntu xenial-updates InRelease
Ign:3 http://ap-northeast-1.ec2.archive.ubuntu.com/ubuntu xenial-backports InRelease
Err:4 http://ap-northeast-1.ec2.archive.ubuntu.com/ubuntu xenial Release
  404  Not Found [IP: 54.168.13.207 80]
Err:5 http://ap-northeast-1.ec2.archive.ubuntu.com/ubuntu xenial-updates Release
  404  Not Found [IP: 54.168.13.207 80]
Err:6 http://ap-northeast-1.ec2.archive.ubuntu.com/ubuntu xenial-backports Release
  404  Not Found [IP: 54.168.13.207 80]
Hit:7 http://security.ubuntu.com/ubuntu xenial-security InRelease
Reading package lists... Done                        
E: The repository 'http://ap-northeast-1.ec2.archive.ubuntu.com/ubuntu xenial Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: The repository 'http://ap-northeast-1.ec2.archive.ubuntu.com/ubuntu xenial-updates Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: The repository 'http://ap-northeast-1.ec2.archive.ubuntu.com/ubuntu xenial-backports Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.

なんじゃらほいということで調べてみることにしました。

2017-01-02 11:14:04Network, Ubuntu16.04, bonding, network, networkd, systemd, systemd-networkd, ubuntu

Screenshot_2019-04-22 Networkd — Fedora Cloud 0 1 documentation
https://fedoracloud.readthedocs.io/en/latest/networkd.html

Ubuntu 16.04環境にて、ネットワーク設定をsystemd-networkdへ移行しているのですが、bonding設定をするときにハマりました。

2016-05-06 11:26:08AIX、UNIX、Linux, Ubuntu16.04, ipsec, l2tp, networkmanager, ubuntu, vpn

Ubuntu 14.04 LTSでのL2TP pluginの記事を書きましたが、その後他の方がメンテナンスを行い、Ubuntu 16.04 LTSに対応させたようです。

必要環境:
Ubuntu 16.06 LTS x64

2016-04-30 11:24:39Ubuntu16.04, boot, ubuntu, VNC

https://www.digitalocean.com/community/tutorials/how-to-install-and-configure-vnc-on-ubuntu-16-04

以前に「 boot時に合わせて、VNC serverを起動する方法。」を書きましたが、Ubuntu 16.04からはSystemdになったので、それに合わせて書き換えてみました。

2016-04-24 10:56:16Ubuntu16.04, ubuntu, xrdp, リモートデスクトップ

今まで、仮想マシン上のUbuntu DesktopにVNCで接続していたのですが、起動時からXRDPを使用すれば遠隔接続できるということが分かったので、試してみることにしました。

基本的には、参照先Webサイトのままです。